<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>StshifAbstractType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StshifAbstractType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/StshifAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/StdfPost2000AbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/StshifAbstractType.html"
               target="_top">Frames</a></li>
        <li><a href="StshifAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model.types</div>
    <h2 title="Class StshifAbstractType" class="title">Class StshifAbstractType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.types.StshifAbstractType</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">StshifAbstractType</span>
extends java.lang.Object</pre>
                <div class="block">The Stshif structure specifies general stylesheet information. <p>Class and
                    fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and
                    [MS-DOC] - v20110608 Word (.doc) Binary File Format

                    <p>
                        NOTE: This source is automatically generated please do not modify this file. Either subclass or
                        remove the record in src/types/definitions.
                    <p>
                        This class is internal. It content or properties may change without notice
                        due to changes in our knowledge of internal Microsoft Word binary structures.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format
                        Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_1_cstd">field_1_cstd</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_2_cbSTDBaseInFile">field_2_cbSTDBaseInFile</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_3_info3">field_3_info3</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_4_stiMaxWhenSaved">field_4_stiMaxWhenSaved</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_5_istdMaxFixedWhenSaved">field_5_istdMaxFixedWhenSaved</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_6_nVerBuiltInNamesWhenSaved">field_6_nVerBuiltInNamesWhenSaved</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_7_ftcAsci">field_7_ftcAsci</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_8_ftcFE">field_8_ftcFE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#field_9_ftcOther">field_9_ftcOther</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#StshifAbstractType--">StshifAbstractType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getCbSTDBaseInFile--">getCbSTDBaseInFile</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                        Stdf structure.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getCstd--">getCstd</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the count of elements in
                                        STSH.rglpstd.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getFReserved--">getFReserved</a></span>()</code>
                                    <div class="block">This value MUST be zero and MUST be ignored</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getFtcAsci--">getFtcAsci</a></span>()</code>
                                    <div class="block">A signed integer that specifies an operand value for the
                                        sprmCRgFtc0 for default document formatting.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getFtcFE--">getFtcFE</a></span>()</code>
                                    <div class="block">A signed integer that specifies an operand value for the
                                        sprmCRgFtc1 for default document formatting, as defined in the section
                                        Determining Formatting Properties.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getFtcOther--">getFtcOther</a></span>()</code>
                                    <div class="block">A signed integer that specifies an operand value for the
                                        sprmCRgFtc2 for default document formatting, as defined in the section
                                        Determining Formatting Properties.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getInfo3--">getInfo3</a></span>()</code>
                                    <div class="block">Get the info3 field for the Stshif record.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getIstdMaxFixedWhenSaved--">getIstdMaxFixedWhenSaved</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the count of elements at the
                                        start of STSH.rglpstd that are reserved for fixed-index application-defined
                                        styles.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getNVerBuiltInNamesWhenSaved--">getNVerBuiltInNamesWhenSaved</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies the version number of the
                                        style names as defined by the application that writes the file.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of record</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#getStiMaxWhenSaved--">getStiMaxWhenSaved</a></span>()</code>
                                    <div class="block">An unsigned integer that specifies a value that is 1 larger than
                                        the largest StdfBase.sti index of any application-defined style.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#isFHasOriginalStyle--">isFHasOriginalStyle</a></span>()</code>
                                    <div class="block">This value MUST be 1 and MUST be ignored</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setCbSTDBaseInFile-int-">setCbSTDBaseInFile</a></span>(int&nbsp;field_2_cbSTDBaseInFile)</code>
                                    <div class="block">An unsigned integer that specifies the size, in bytes, of the
                                        Stdf structure.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setCstd-int-">setCstd</a></span>(int&nbsp;field_1_cstd)</code>
                                    <div class="block">An unsigned integer that specifies the count of elements in
                                        STSH.rglpstd.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setFHasOriginalStyle-boolean-">setFHasOriginalStyle</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fHasOriginalStyle field value.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setFReserved-short-">setFReserved</a></span>(short&nbsp;value)</code>
                                    <div class="block">Sets the fReserved field value.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setFtcAsci-short-">setFtcAsci</a></span>(short&nbsp;field_7_ftcAsci)</code>
                                    <div class="block">A signed integer that specifies an operand value for the
                                        sprmCRgFtc0 for default document formatting.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setFtcFE-short-">setFtcFE</a></span>(short&nbsp;field_8_ftcFE)</code>
                                    <div class="block">A signed integer that specifies an operand value for the
                                        sprmCRgFtc1 for default document formatting, as defined in the section
                                        Determining Formatting Properties.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setFtcOther-short-">setFtcOther</a></span>(short&nbsp;field_9_ftcOther)</code>
                                    <div class="block">A signed integer that specifies an operand value for the
                                        sprmCRgFtc2 for default document formatting, as defined in the section
                                        Determining Formatting Properties.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setInfo3-int-">setInfo3</a></span>(int&nbsp;field_3_info3)</code>
                                    <div class="block">Set the info3 field for the Stshif record.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setIstdMaxFixedWhenSaved-int-">setIstdMaxFixedWhenSaved</a></span>(int&nbsp;field_5_istdMaxFixedWhenSaved)</code>
                                    <div class="block">An unsigned integer that specifies the count of elements at the
                                        start of STSH.rglpstd that are reserved for fixed-index application-defined
                                        styles.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setNVerBuiltInNamesWhenSaved-int-">setNVerBuiltInNamesWhenSaved</a></span>(int&nbsp;field_6_nVerBuiltInNamesWhenSaved)</code>
                                    <div class="block">An unsigned integer that specifies the version number of the
                                        style names as defined by the application that writes the file.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#setStiMaxWhenSaved-int-">setStiMaxWhenSaved</a></span>(int&nbsp;field_4_stiMaxWhenSaved)</code>
                                    <div class="block">An unsigned integer that specifies a value that is 1 larger than
                                        the largest StdfBase.sti index of any application-defined style.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="field_1_cstd">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_1_cstd</h4>
                                <pre>protected&nbsp;int field_1_cstd</pre>
                            </li>
                        </ul>
                        <a name="field_2_cbSTDBaseInFile">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_2_cbSTDBaseInFile</h4>
                                <pre>protected&nbsp;int field_2_cbSTDBaseInFile</pre>
                            </li>
                        </ul>
                        <a name="field_3_info3">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_3_info3</h4>
                                <pre>protected&nbsp;int field_3_info3</pre>
                            </li>
                        </ul>
                        <a name="field_4_stiMaxWhenSaved">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_4_stiMaxWhenSaved</h4>
                                <pre>protected&nbsp;int field_4_stiMaxWhenSaved</pre>
                            </li>
                        </ul>
                        <a name="field_5_istdMaxFixedWhenSaved">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_5_istdMaxFixedWhenSaved</h4>
                                <pre>protected&nbsp;int field_5_istdMaxFixedWhenSaved</pre>
                            </li>
                        </ul>
                        <a name="field_6_nVerBuiltInNamesWhenSaved">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_6_nVerBuiltInNamesWhenSaved</h4>
                                <pre>protected&nbsp;int field_6_nVerBuiltInNamesWhenSaved</pre>
                            </li>
                        </ul>
                        <a name="field_7_ftcAsci">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_7_ftcAsci</h4>
                                <pre>protected&nbsp;short field_7_ftcAsci</pre>
                            </li>
                        </ul>
                        <a name="field_8_ftcFE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_8_ftcFE</h4>
                                <pre>protected&nbsp;short field_8_ftcFE</pre>
                            </li>
                        </ul>
                        <a name="field_9_ftcOther">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>field_9_ftcOther</h4>
                                <pre>protected&nbsp;short field_9_ftcOther</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="StshifAbstractType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>StshifAbstractType</h4>
                                <pre>protected&nbsp;StshifAbstractType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public static&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Size of record</div>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCstd--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCstd</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getCstd()</pre>
                                <div class="block">An unsigned integer that specifies the count of elements in
                                    STSH.rglpstd. This value MUST be equal to or greater than 0x000F, and MUST be less
                                    than 0x0FFE.
                                </div>
                            </li>
                        </ul>
                        <a name="setCstd-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCstd</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCstd(int&nbsp;field_1_cstd)</pre>
                                <div class="block">An unsigned integer that specifies the count of elements in
                                    STSH.rglpstd. This value MUST be equal to or greater than 0x000F, and MUST be less
                                    than 0x0FFE.
                                </div>
                            </li>
                        </ul>
                        <a name="getCbSTDBaseInFile--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCbSTDBaseInFile</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getCbSTDBaseInFile()</pre>
                                <div class="block">An unsigned integer that specifies the size, in bytes, of the Stdf
                                    structure. The Stdf structure contains an StdfBase structure that is followed by a
                                    StdfPost2000OrNone structure which contains an optional StdfPost2000 structure. This
                                    value MUST be 0x000A when the Stdf structure does not contain an StdfPost2000
                                    structure and MUST be 0x0012 when the Stdf structure does contain an StdfPost2000
                                    structure..
                                </div>
                            </li>
                        </ul>
                        <a name="setCbSTDBaseInFile-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCbSTDBaseInFile</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCbSTDBaseInFile(int&nbsp;field_2_cbSTDBaseInFile)</pre>
                                <div class="block">An unsigned integer that specifies the size, in bytes, of the Stdf
                                    structure. The Stdf structure contains an StdfBase structure that is followed by a
                                    StdfPost2000OrNone structure which contains an optional StdfPost2000 structure. This
                                    value MUST be 0x000A when the Stdf structure does not contain an StdfPost2000
                                    structure and MUST be 0x0012 when the Stdf structure does contain an StdfPost2000
                                    structure..
                                </div>
                            </li>
                        </ul>
                        <a name="getInfo3--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInfo3</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getInfo3()</pre>
                                <div class="block">Get the info3 field for the Stshif record.</div>
                            </li>
                        </ul>
                        <a name="setInfo3-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setInfo3</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setInfo3(int&nbsp;field_3_info3)</pre>
                                <div class="block">Set the info3 field for the Stshif record.</div>
                            </li>
                        </ul>
                        <a name="getStiMaxWhenSaved--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStiMaxWhenSaved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getStiMaxWhenSaved()</pre>
                                <div class="block">An unsigned integer that specifies a value that is 1 larger than the
                                    largest StdfBase.sti index of any application-defined style. This SHOULD be equal to
                                    the largest sti index that is defined in the application, incremented by 1.
                                </div>
                            </li>
                        </ul>
                        <a name="setStiMaxWhenSaved-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStiMaxWhenSaved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setStiMaxWhenSaved(int&nbsp;field_4_stiMaxWhenSaved)</pre>
                                <div class="block">An unsigned integer that specifies a value that is 1 larger than the
                                    largest StdfBase.sti index of any application-defined style. This SHOULD be equal to
                                    the largest sti index that is defined in the application, incremented by 1.
                                </div>
                            </li>
                        </ul>
                        <a name="getIstdMaxFixedWhenSaved--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIstdMaxFixedWhenSaved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getIstdMaxFixedWhenSaved()</pre>
                                <div class="block">An unsigned integer that specifies the count of elements at the start
                                    of STSH.rglpstd that are reserved for fixed-index application-defined styles. This
                                    value MUST be 0x000F.
                                </div>
                            </li>
                        </ul>
                        <a name="setIstdMaxFixedWhenSaved-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIstdMaxFixedWhenSaved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setIstdMaxFixedWhenSaved(int&nbsp;field_5_istdMaxFixedWhenSaved)</pre>
                                <div class="block">An unsigned integer that specifies the count of elements at the start
                                    of STSH.rglpstd that are reserved for fixed-index application-defined styles. This
                                    value MUST be 0x000F.
                                </div>
                            </li>
                        </ul>
                        <a name="getNVerBuiltInNamesWhenSaved--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNVerBuiltInNamesWhenSaved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;int&nbsp;getNVerBuiltInNamesWhenSaved()</pre>
                                <div class="block">An unsigned integer that specifies the version number of the style
                                    names as defined by the application that writes the file.
                                </div>
                            </li>
                        </ul>
                        <a name="setNVerBuiltInNamesWhenSaved-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNVerBuiltInNamesWhenSaved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setNVerBuiltInNamesWhenSaved(int&nbsp;field_6_nVerBuiltInNamesWhenSaved)</pre>
                                <div class="block">An unsigned integer that specifies the version number of the style
                                    names as defined by the application that writes the file.
                                </div>
                            </li>
                        </ul>
                        <a name="getFtcAsci--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFtcAsci</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getFtcAsci()</pre>
                                <div class="block">A signed integer that specifies an operand value for the sprmCRgFtc0
                                    for default document formatting.
                                </div>
                            </li>
                        </ul>
                        <a name="setFtcAsci-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFtcAsci</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFtcAsci(short&nbsp;field_7_ftcAsci)</pre>
                                <div class="block">A signed integer that specifies an operand value for the sprmCRgFtc0
                                    for default document formatting.
                                </div>
                            </li>
                        </ul>
                        <a name="getFtcFE--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFtcFE</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getFtcFE()</pre>
                                <div class="block">A signed integer that specifies an operand value for the sprmCRgFtc1
                                    for default document formatting, as defined in the section Determining Formatting
                                    Properties.
                                </div>
                            </li>
                        </ul>
                        <a name="setFtcFE-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFtcFE</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFtcFE(short&nbsp;field_8_ftcFE)</pre>
                                <div class="block">A signed integer that specifies an operand value for the sprmCRgFtc1
                                    for default document formatting, as defined in the section Determining Formatting
                                    Properties.
                                </div>
                            </li>
                        </ul>
                        <a name="getFtcOther--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFtcOther</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getFtcOther()</pre>
                                <div class="block">A signed integer that specifies an operand value for the sprmCRgFtc2
                                    for default document formatting, as defined in the section Determining Formatting
                                    Properties.
                                </div>
                            </li>
                        </ul>
                        <a name="setFtcOther-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFtcOther</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFtcOther(short&nbsp;field_9_ftcOther)</pre>
                                <div class="block">A signed integer that specifies an operand value for the sprmCRgFtc2
                                    for default document formatting, as defined in the section Determining Formatting
                                    Properties.
                                </div>
                            </li>
                        </ul>
                        <a name="setFHasOriginalStyle-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFHasOriginalStyle</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFHasOriginalStyle(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fHasOriginalStyle field value.
                                    This value MUST be 1 and MUST be ignored
                                </div>
                            </li>
                        </ul>
                        <a name="isFHasOriginalStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFHasOriginalStyle</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;boolean&nbsp;isFHasOriginalStyle()</pre>
                                <div class="block">This value MUST be 1 and MUST be ignored</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fHasOriginalStyle field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFReserved-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFReserved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setFReserved(short&nbsp;value)</pre>
                                <div class="block">Sets the fReserved field value.
                                    This value MUST be zero and MUST be ignored
                                </div>
                            </li>
                        </ul>
                        <a name="getFReserved--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFReserved</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;short&nbsp;getFReserved()</pre>
                                <div class="block">This value MUST be zero and MUST be ignored</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fReserved field value.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/StshifAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/StdfPost2000AbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/StshifAbstractType.html"
               target="_top">Frames</a></li>
        <li><a href="StshifAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
